diff --git a/.cvsignore b/.cvsignore
index e33242e1..3aa6a791 100644
--- a/.cvsignore
+++ b/.cvsignore
@@ -8,3 +8,4 @@ bison-*
 patches
 *.patch *.log
 *.prj
+releases
diff --git a/doc/bison.info b/doc/bison.info
index 50881134..86ca9ee9 100644
--- a/doc/bison.info
+++ b/doc/bison.info
@@ -33,8 +33,8 @@ Indirect:
 bison.info-1: 1307
 bison.info-2: 50189
 bison.info-3: 99814
-bison.info-4: 149692
-bison.info-5: 196957
+bison.info-4: 149693
+bison.info-5: 196958
 
 Tag Table:
 (Indirect)
@@ -85,55 +85,55 @@ Node: Multiple Types94709
 Node: Actions95726
 Node: Action Types98511
 Node: Mid-Rule Actions99814
-Node: Locations105383
-Node: Location Type106048
-Node: Actions and Locations106606
-Node: Location Default Action107770
-Node: Declarations108977
-Node: Token Decl110296
-Node: Precedence Decl112309
-Node: Union Decl113860
-Node: Type Decl114704
-Node: Expect Decl115610
-Node: Start Decl117156
-Node: Pure Decl117534
-Node: Decl Summary119211
-Node: Multiple Parsers124594
-Node: Interface126088
-Node: Parser Function126960
-Node: Lexical127795
-Node: Calling Convention129201
-Node: Token Values131972
-Node: Token Positions133121
-Node: Pure Calling134006
-Node: Error Reporting136938
-Node: Action Features139060
-Node: Algorithm142355
-Node: Look-Ahead144648
-Node: Shift/Reduce146780
-Node: Precedence149692
-Node: Why Precedence150343
-Node: Using Precedence152208
-Node: Precedence Examples153176
-Node: How Precedence153877
-Node: Contextual Precedence155026
-Node: Parser States156817
-Node: Reduce/Reduce158060
-Node: Mystery Conflicts161621
-Node: Stack Overflow165007
-Node: Error Recovery166380
-Node: Context Dependency171516
-Node: Semantic Tokens172364
-Node: Lexical Tie-ins175381
-Node: Tie-in Recovery176929
-Node: Debugging179101
-Node: Invocation182402
-Node: Bison Options183654
-Node: Environment Variables187088
-Node: Option Cross Key187936
-Node: VMS Invocation188780
-Node: Table of Symbols189564
-Node: Glossary196957
-Node: Index203247
+Node: Locations105384
+Node: Location Type106049
+Node: Actions and Locations106607
+Node: Location Default Action107771
+Node: Declarations108978
+Node: Token Decl110297
+Node: Precedence Decl112310
+Node: Union Decl113861
+Node: Type Decl114705
+Node: Expect Decl115611
+Node: Start Decl117157
+Node: Pure Decl117535
+Node: Decl Summary119212
+Node: Multiple Parsers124595
+Node: Interface126089
+Node: Parser Function126961
+Node: Lexical127796
+Node: Calling Convention129202
+Node: Token Values131973
+Node: Token Positions133122
+Node: Pure Calling134007
+Node: Error Reporting136939
+Node: Action Features139061
+Node: Algorithm142356
+Node: Look-Ahead144649
+Node: Shift/Reduce146781
+Node: Precedence149693
+Node: Why Precedence150344
+Node: Using Precedence152209
+Node: Precedence Examples153177
+Node: How Precedence153878
+Node: Contextual Precedence155027
+Node: Parser States156818
+Node: Reduce/Reduce158061
+Node: Mystery Conflicts161622
+Node: Stack Overflow165008
+Node: Error Recovery166381
+Node: Context Dependency171517
+Node: Semantic Tokens172365
+Node: Lexical Tie-ins175382
+Node: Tie-in Recovery176930
+Node: Debugging179102
+Node: Invocation182403
+Node: Bison Options183655
+Node: Environment Variables187089
+Node: Option Cross Key187937
+Node: VMS Invocation188781
+Node: Table of Symbols189565
+Node: Glossary196958
+Node: Index203248
 
 End Tag Table
diff --git a/doc/bison.info-3 b/doc/bison.info-3
index ddbd6f5a..88a0a73b 100644
--- a/doc/bison.info-3
+++ b/doc/bison.info-3
@@ -52,7 +52,7 @@ N to use in `$N'.
 set its value with an assignment to `$$', and actions later in the rule
 can refer to the value using `$N'.  Since there is no symbol to name
 the action, there is no way to declare a data type for the value in
-advance, so you must use the `$<...>' construct to specify a data type
+advance, so you must use the `$<...>N' construct to specify a data type
 each time you refer to this value.
 
    There is no way to set the value of the entire rule with a mid-rule
diff --git a/doc/mdate-sh b/doc/mdate-sh
deleted file mode 100755
index 37171f21..00000000
--- a/doc/mdate-sh
+++ /dev/null
@@ -1,92 +0,0 @@
-#!/bin/sh
-# Get modification time of a file or directory and pretty-print it.
-# Copyright (C) 1995, 1996, 1997 Free Software Foundation, Inc.
-# written by Ulrich Drepper <drepper@gnu.ai.mit.edu>, June 1995
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software Foundation,
-# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-# Prevent date giving response in another language.
-LANG=C
-export LANG
-LC_ALL=C
-export LC_ALL
-LC_TIME=C
-export LC_TIME
-
-# Get the extended ls output of the file or directory.
-# On HPUX /bin/sh, "set" interprets "-rw-r--r--" as options, so the "x" below.
-if ls -L /dev/null 1>/dev/null 2>&1; then
-  set - x`ls -L -l -d $1`
-else
-  set - x`ls -l -d $1`
-fi
-# The month is at least the fourth argument
-# (3 shifts here, the next inside the loop).
-shift
-shift
-shift
-
-# Find the month.  Next argument is day, followed by the year or time.
-month=
-until test $month
-do
-  shift
-  case $1 in
-    Jan) month=January; nummonth=1;;
-    Feb) month=February; nummonth=2;;
-    Mar) month=March; nummonth=3;;
-    Apr) month=April; nummonth=4;;
-    May) month=May; nummonth=5;;
-    Jun) month=June; nummonth=6;;
-    Jul) month=July; nummonth=7;;
-    Aug) month=August; nummonth=8;;
-    Sep) month=September; nummonth=9;;
-    Oct) month=October; nummonth=10;;
-    Nov) month=November; nummonth=11;;
-    Dec) month=December; nummonth=12;;
-  esac
-done
-
-day=$2
-
-# Here we have to deal with the problem that the ls output gives either
-# the time of day or the year.
-case $3 in
-  *:*) set `date`; eval year=\$$#
-       case $2 in
-	 Jan) nummonthtod=1;;
-	 Feb) nummonthtod=2;;
-	 Mar) nummonthtod=3;;
-	 Apr) nummonthtod=4;;
-	 May) nummonthtod=5;;
-	 Jun) nummonthtod=6;;
-	 Jul) nummonthtod=7;;
-	 Aug) nummonthtod=8;;
-	 Sep) nummonthtod=9;;
-	 Oct) nummonthtod=10;;
-	 Nov) nummonthtod=11;;
-	 Dec) nummonthtod=12;;
-       esac
-       # For the first six month of the year the time notation can also
-       # be used for files modified in the last year.
-       if (expr $nummonth \> $nummonthtod) > /dev/null;
-       then
-	 year=`expr $year - 1`
-       fi;;
-  *) year=$3;;
-esac
-
-# The result.
-echo $day $month $year
diff --git a/doc/stamp-vti b/doc/stamp-vti
index 09b4494e..facfcecc 100644
--- a/doc/stamp-vti
+++ b/doc/stamp-vti
@@ -1,3 +1,3 @@
-@set UPDATED 6 August 2001
+@set UPDATED 9 August 2001
 @set EDITION 1.28c
 @set VERSION 1.28c
diff --git a/doc/version.texi b/doc/version.texi
index 09b4494e..facfcecc 100644
--- a/doc/version.texi
+++ b/doc/version.texi
@@ -1,3 +1,3 @@
-@set UPDATED 6 August 2001
+@set UPDATED 9 August 2001
 @set EDITION 1.28c
 @set VERSION 1.28c
